GDAL-RASTER-CLIP(1)

NAME
gdal-raster-clip - Clip a raster dataset

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster clip [OPTIONS] <INPUT> <OUTPUT>
    Clip a raster dataset.
    Positional arguments:
      -i, --input <INPUT>                                  Input raster datasets [required] [not available in pipelines]
      -o, --output <OUTPUT>                                Output raster dataset [required] [not available in pipelines]
    Common Options:
      -h, --help                                           Display help message and exit
      --json-usage                                         Display usage as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
      -q, --quiet                                          Quiet mode (no progress bar or warning message) [not available in pipelines]
    Options:
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed) [not available in pipelines]
      --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated] [not available in pipelines]
      --overwrite                                          Whether overwriting existing output dataset is allowed [not available in pipelines]
                                                           Mutually exclusive with --append
      --append                                             Append as a subdataset to existing output [not available in pipelines]
                                                           Mutually exclusive with --overwrite
      --bbox <BBOX>                                        Clipping bounding box as xmin,ymin,xmax,ymax
                                                           Mutually exclusive with --window, --geometry, --like
      --bbox-crs <BBOX-CRS>                                CRS of clipping bounding box
      --window <WINDOW>                                    Raster window as col,line,width,height in pixels
                                                           Mutually exclusive with --bbox, --geometry, --like
      --geometry <GEOMETRY>                                Clipping geometry (WKT or GeoJSON)
                                                           Mutually exclusive with --bbox, --window, --like
      --geometry-crs <GEOMETRY-CRS>                        CRS of clipping geometry
      --like <DATASET>                                     Dataset to use as a template for bounds
                                                           Mutually exclusive with --bbox, --window, --geometry
      --like-sql <SELECT-STATEMENT>                        SELECT statement to run on the 'like' dataset
                                                           Mutually exclusive with --like-where
      --like-layer <LAYER-NAME>                            Name of the layer of the 'like' dataset
      --like-where <WHERE-EXPRESSION>                      WHERE SQL clause to run on the 'like' dataset
                                                           Mutually exclusive with --like-sql
      --only-bbox                                          For 'geometry' and 'like', only consider their bounding box
      --allow-bbox-outside-source                          Allow clipping box to include pixels outside input dataset
      --add-alpha                                          Adds an alpha mask band to the destination when the source raster have none.
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated] [not available in pipelines]
      --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated] [not available in pipelines]

DESCRIPTION

gdal raster clip can be used to clip a raster dataset using georeferenced coordinates.

Either --bbox or --like must be specified.

The output dataset is in the same SRS as the input one, and the original resolution is preserved. Bounds are rounded to match whole pixel locations (i.e. there is no resampling involved)

clip can also be used as a step of gdal raster pipeline.

PROGRAM-SPECIFIC OPTIONS

--add-alpha
    Adds an alpha mask band to the destination when the source raster has none.

--allow-bbox-outside-source
    If set, allows the bounds indicated by --bbox to cover an extent that is greater than the input dataset. Output pixels from areas beyond the input extent will be set to zero or the NoData value of the input dataset.

--bbox <xmin>,<ymin>,<xmax>,<ymax>
    Bounds to which to clip the dataset. They are assumed to be in the CRS of the input dataset, unless --bbox-crs is specified. The X and Y axis are the "GIS friendly ones", that is X is longitude or easting, and Y is latitude or northing. The bounds are expanded if necessary to match input pixel boundaries. By default, gdal raster clip will produce an error if the bounds indicated by --bbox are greater than the extents of input dataset. This check can be bypassed using --allow-bbox-outside-source.

--bbox-crs <CRS>
    CRS in which the <xmin>,<ymin>,<xmax>,<ymax> values of --bbox are expressed. If not specified, it is assumed to be the CRS of the input dataset. Note that specifying --bbox-crs does not cause the raster to be reprojected. Instead, the bounds are reprojected from the bbox-crs to the CRS of the input dataset.

--geometry <WKT_or_GeoJSON>
    Geometry as a WKT or GeoJSON string of a polygon (or multipolygon) to which to clip the dataset. Raster areas within the bounding box of the geometry but not inside the geometry itself will be set to the nodata value of the raster, or 0 if there is none. All pixels overlapping the geometry will be selected. If the input geometry is GeoJSON, its CRS is assumed to be WGS84, unless there is a CRS defined in the GeoJSON geometry or --geometry-crs is specified. If the input geometry is WKT, its CRS is assumed to be the one of the input dataset, unless --geometry-crs is specified. The X and Y axis are the "GIS friendly ones", that is X is longitude or easting, and Y is latitude or northing. Mutually exclusive with --bbox and --like.

--geometry-crs <CRS>
    CRS in which the coordinates values of --geometry are expressed. If not specified, it is assumed to be the CRS of the input dataset. The bounds are reprojected from the geometry-crs to the CRS of the input dataset.

--like <DATASET>
    Vector or raster dataset to use as a template for bounds. If the specified dataset is a raster, its rectangular bounds are used as the clipping geometry. If the specified dataset is a vector dataset, its polygonal geometries are unioned together to form the clipping geometry. If several layers are present, --like-sql or --like-layer must be specified. Raster areas within the bounding box of the geometry but not inside the geometry itself will be set to the nodata value of the raster, or 0 if there is none. Mutually exclusive with --bbox and --geometry.

--like-layer <LAYER-NAME>
    Select the named layer from the vector clip dataset. Mutually exclusive with --like-sql

--like-sql <SELECT-STATEMENT>
    Select desired geometries from the vector clip dataset using an SQL query. e.g SELECT geom FROM my_layer WHERE country = 'France'. The SQL dialect used will be the default one of the like dataset (OGR SQL for Shapefile, SQLite for GeoPackage, PostgreSQL for PostGIS, etc.). Mutually exclusive with --like-layer and --like-where

--like-where <WHERE-EXPRESSION>
    Restrict desired geometries from vector clip dataset layer based on an attribute query. e.g country = 'France'.

--only-bbox
    For --geometry and --like, only consider the bounding box of the geometry.

--window <column>,<line>,<width>,<height>
    Added in version 3.12.

    Selects a subwindow from the source image for copying based on pixel/line location. Pixel/line offsets (column and line) are measured from the left and top of the image. If the subwindow extends beyond the bounds of the source dataset, output pixels will be written with a value of zero, unless a NoData value is defined either the source dataset.

STANDARD OPTIONS

--co, --creation-option <NAME>=<VALUE>
    Many formats have one or more optional creation options that can be used to control particulars about the file created. For instance, the GeoTIFF driver supports creation options to control compression, and whether the file should be tiled.

    May be repeated.

    The creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Raster drivers format specific documentation for legal creation options for each format.

--if, --input-format <format>
    Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

    May be repeated.

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output raster format to use. Allowed values may be given by gdal --formats | grep raster | grep rw | sort

--oo, --open-option <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Clip a GeoTIFF file to the bounding box from longitude 2, latitude 49, to longitude 3, latitude 50 in WGS 84

    $ gdal raster clip --bbox=2,49,3,50 --bbox-crs=EPSG:4326 in.tif out.tif --overwrite

  Example 2: Clip a GeoTIFF file using the bounds of reference.tif

    $ gdal raster clip --like=reference.tif in.tif out.tif --overwrite

  Example 3: Clip a GeoTIFF file from raster column 1000 and line 2000, for a width of 500 pixels and a height of 600 pixels

    $ gdal raster clip --window=1000,2000,500,600 in.tif out.tif --overwrite

  Example 4: Clip a GeoTIFF using a bounding box extending beyond the source extent, and write the result as a COG

Use --allow-bbox-outside-source to suppress the error ERROR 1: Computed source window -180 2943 6269 6235 falls partially outside source raster extent when the bounding box exceeds the raster extent.

    $ gdal raster clip \
        --bbox=3757032.814272985,-626172.1357121654,4383204.9499851465,0 \
        --bbox-crs=EPSG:3857 \
        --allow-bbox-outside-source \
        in.tif out.tif \
        --overwrite \
        --output-format COG

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026